this will store the information of a node

### Hierarchy

- NodeInfo

## Index

### Constructors

- constructor

### Properties

- context
- referenceCount
- triggerAsyncId

## Constructors

### constructor

- new NodeInfo(triggerAsyncId: number): NodeInfo

- - Defined in envoy-context-store.ts:26

  #### Parameters

  - ##### triggerAsyncId: number

  #### Returns NodeInfo

## Properties

### Optional context

context: EnvoyContext = undefined

- Defined in envoy-context-store.ts:26

the context set in this execution

### referenceCount

referenceCount: number = 1

- Defined in envoy-context-store.ts:16

the reference count of this info, init will be 1, when this async execution trigger another execution, this will increase 1, when this execution or one of its child execution is destroyed, this will decrease 1

### triggerAsyncId

triggerAsyncId: number

- Defined in envoy-context-store.ts:21

who trigger this async execution

Generated using TypeDoc